.\"
.\" Copyright (c) 1994 Wilko Bulte
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software withough specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/ahb.4,v 1.5.2.4 1999/09/05 11:27:01 peter Exp $
.\"
.Dd January 19, 1996
.Dt AHB 4 i386
.Os FreeBSD
.Sh NAME
.Nm ahb
.Nd Adaptec EISA SCSI host adapter driver
.Sh SYNOPSIS
.Cd controller ahb0
.Cd controller scbus0 at ahb0
.Sh DESCRIPTION
This driver provides access to the
.Tn SCSI
bus connected to an Adaptec 
174x hostadapter in either 
.Dq Em standard
or
.Dq Em enhanced
mode. If the controller
is set to standard mode (using the
.Tn EISA
configuration utility),
the driver will automatically 
switch the card to enhanced mode during the device probe.
.Pp
.Sy N.B. :
When configuring a system
with both
.Xr aha 4
and
.Nm
drivers, the
.Nm
driver should be listed first in the kernel configuration file.  This
ensures that the
.Nm
driver will find the Adaptec 174x boards before the 
.Xr aha 4
driver probes for Adaptec 154x boards.
.Pp
Note that no I/O addresses are configured in the kernel config file. The
174x uses
.Tn EISA
slot-specific I/O which is configured automatically.
.\"
.\" .Sh DIAGNOSTICS
.\"
.Sh SEE ALSO
.Xr aha 4 ,
.Xr ahc 4 ,
.Xr cd 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
.Sh AUTHORS
The
.Nm
driver was written by
.An Julian Elischer
for
.Tn Mach
2.5.  It was converted to automatic
.Tn EISA
configuration by
.An Justin Gibbs .
.Sh HISTORY
The
.Nm
driver first appeared in the
.Tn 386BSD
patchkit.
